> ## Documentation Index
> Fetch the complete documentation index at: https://docs.finscreener.in/llms.txt
> Use this file to discover all available pages before exploring further.

# List Orders

> Get all user orders with pagination

Retrieve all orders created by the authenticated user.

## Headers

<ParamField header="Authorization" type="string" required>
  Bearer token: `Bearer <access_token>`
</ParamField>

## Query Parameters

<ParamField query="page" type="number" default="1">
  Page number
</ParamField>

<ParamField query="limit" type="number" default="20">
  Orders per page (max: 100)
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET "https://api.finscreener.in/api/orders?page=1&limit=20" \
    -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
  ```
</RequestExample>

<ResponseExample>
  ```json Success theme={null}
  {
    "orders": [
      {
        "_id": "order_123",
        "orderName": "IT Companies Data",
        "paymentOption": "credits",
        "total_amount": 500,
        "status": "completed",
        "payment_status": "paid",
        "created_at": "2026-01-15T10:00:00Z"
      }
    ],
    "total": 12,
    "page": 1,
    "limit": 20,
    "pages": 1
  }
  ```
</ResponseExample>
